# Uses of Class
com.databricks.jdbc.model.client.thrift.generated.TSparkGetDirectResults

Packages that use TSparkGetDirectResults
Package
Description
com.databricks.jdbc.model.client.thrift.generated

## Uses of TSparkGetDirectResults in com.databricks.jdbc.model.client.thrift.generated

Classes in com.databricks.jdbc.model.client.thrift.generated that implement interfaces with type arguments of type TSparkGetDirectResults
Modifier and Type
Class
Description
`class`
`TSparkGetDirectResults`
`class`
`TSparkGetDirectResults`
Fields in com.databricks.jdbc.model.client.thrift.generated declared as TSparkGetDirectResults
Modifier and Type
Field
Description
`TSparkGetDirectResults`
TExecuteStatementReq.`getDirectResults`
`TSparkGetDirectResults`
TGetCatalogsReq.`getDirectResults`
`TSparkGetDirectResults`
TGetColumnsReq.`getDirectResults`
`TSparkGetDirectResults`
TGetCrossReferenceReq.`getDirectResults`
`TSparkGetDirectResults`
TGetFunctionsReq.`getDirectResults`
`TSparkGetDirectResults`
TGetPrimaryKeysReq.`getDirectResults`
`TSparkGetDirectResults`
TGetSchemasReq.`getDirectResults`
`TSparkGetDirectResults`
TGetTablesReq.`getDirectResults`
`TSparkGetDirectResults`
TGetTableTypesReq.`getDirectResults`
`TSparkGetDirectResults`
TGetTypeInfoReq.`getDirectResults`
Methods in com.databricks.jdbc.model.client.thrift.generated that return TSparkGetDirectResults
Modifier and Type
Method
Description
`TSparkGetDirectResults`
TSparkGetDirectResults.`deepCopy()`
`TSparkGetDirectResults`
TExecuteStatementReq.`getGetDirectResults()`
`TSparkGetDirectResults`
TGetCatalogsReq.`getGetDirectResults()`
`TSparkGetDirectResults`
TGetColumnsReq.`getGetDirectResults()`
`TSparkGetDirectResults`
TGetCrossReferenceReq.`getGetDirectResults()`
`TSparkGetDirectResults`
TGetFunctionsReq.`getGetDirectResults()`
`TSparkGetDirectResults`
TGetPrimaryKeysReq.`getGetDirectResults()`
`TSparkGetDirectResults`
TGetSchemasReq.`getGetDirectResults()`
`TSparkGetDirectResults`
TGetTablesReq.`getGetDirectResults()`
`TSparkGetDirectResults`
TGetTableTypesReq.`getGetDirectResults()`
`TSparkGetDirectResults`
TGetTypeInfoReq.`getGetDirectResults()`
`TSparkGetDirectResults`
TSparkGetDirectResults.`setMaxBytes(long maxBytes)`
`TSparkGetDirectResults`
TSparkGetDirectResults.`setMaxRows(long maxRows)`
Methods in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkGetDirectResults
Modifier and Type
Method
Description
`int`
TSparkGetDirectResults.`compareTo(TSparkGetDirectResults other)`
`boolean`
TSparkGetDirectResults.`equals(TSparkGetDirectResults that)`
`TExecuteStatementReq`
TExecuteStatementReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetCatalogsReq`
TGetCatalogsReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetColumnsReq`
TGetColumnsReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetCrossReferenceReq`
TGetCrossReferenceReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetFunctionsReq`
TGetFunctionsReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetPrimaryKeysReq`
TGetPrimaryKeysReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetSchemasReq`
TGetSchemasReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetTablesReq`
TGetTablesReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetTableTypesReq`
TGetTableTypesReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
`TGetTypeInfoReq`
TGetTypeInfoReq.`setGetDirectResults(TSparkGetDirectResults getDirectResults)`
Constructors in com.databricks.jdbc.model.client.thrift.generated with parameters of type TSparkGetDirectResults
Modifier
Constructor
Description
``
`TSparkGetDirectResults(TSparkGetDirectResults other)`
Performs a deep copy on other.